DM_NATIVE_POLL(3)

EXPERIMENTAL_FUNC
dm_native_poll - Poll all managed descriptors for any activity.

SYNOPSIS
#include <karma_dm.h>

void dm_native_poll

(long timeout_ms)

DESCRIPTION
Poll all managed descriptors for any activity.

timeout_ms
    The time (in milliseconds) to poll. If this is less than 0 the routine will poll forever (until some activity occurs or a signal is caught).

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/